<?php
// Manual: http://www.dagondesign.com/articles/secure-php-form-mailer-script/
/*
 CMSimple modifications:
 Configuration: only customiztion in this two file is necessary 
 1. config/fm_config.php (general definitions) and 
 2. config/forms.php (forms, forms behaviour, user function definitions).   
 
 Options
 Unlimitted number of forms definitions. Just define your forms like below and use your definitions in function call.
 You can call your form from a page: #CMSimple $output=preg_replace("/".chr(35)."CMSimple.*".chr(35)."/", formmail($form_struct_change) ,$c[$s]);# 
 Formmail replaces CMSimple's built-in mailform. To turn this option off set predefined $form_struct_mailform to $form_struct_mailform=''; in config/forms.php.
 
 FORM STRUCTURE
 This is used to generate the form. Each form element must be on its own line.
 Detailed usage instructions can be found on http://www.dagondesign.com/articles/secure-php-form-mailer-script/
 
 A new feature is possibility to replace values of following variables with form specific values:
 email_subject, 
 sent_message, 
 recipients, 
 auto_reply_name, auto_reply_email, auto_reply_subject, auto_reply_message, auto_reply_message_content, auto_reply_message_end.
 f.ex. email_subject=Some new subject
 f.ex sent_message=<p class="mailsent">Your mail has been sent</p>
//

END of CMSimple modifications  
*/

// function call formmail($form_struct_test);
$form_struct_test = '
  email_subject=Message from Test Form
  sent_message=Your changes has been sent.
	type=fullblock|class=fmfullblock|text=This could be some sort of introduction message.
	type=text|class=fmtext|label=Invoice no.|fieldname=fm_invoice|max=100|readonly=true|default=counter
	type=hidden|class=fmtext|label=hidden field|fieldname=fm_hidden|default=hidden field test
  type=text|class=fmtext|label=Name|fieldname=fm_name|max=100|req=true
  type=text|class=fmtext|label=Email|fieldname=fm_email|max=100|req=true|ver=email
  type=date|class=fmdate|label=Event Date|fieldname=fm_date|req=true
  type=halfblock|class=fmhalfblock|text=This could be used to explain a field in greater depth.
  type=checkbox|class=fmcheck|label=<a href="//www.google.com">I Agree</a>|data=fm_agree,I agree to the terms,false,true
  type=html|text=<span><a href="//www.google.com">Read terms</a>.</span>
	type=checkbox|class=fmcheck|label=Interests|data=fm_i1,Computers,false,false,fm_i2,Art,false,false,fm_i3,Music,false,false
	type=radio|class=fmradio|label=Color|fieldname=fm_color|req=true|default=0|data=Unspecified 111,3 comma delimiter changed to ;;;Red + vcontent #p1#;Green + vcontent #p2#;Blue + vcontent #p3#|delimiter=;|javascript=onclick="alert(\'this field is a example for use of javascript\');"
	type=select|class=fmselect|label=Age|fieldname=fm_age|req=true|data=(select),0-30,31-60,61-90,91-120
 	type=select|class=fmselect|label=Colors|fieldname=fm_colors|multi=true|req=true|data=(select),Red,Green,Blue
 	type=html|text=<span>&nbsp;Use Ctrl to pick several colors.</span>
	type=select|class=fmselect|label=Choose|fieldname=fm_choose|data=#Category1,item1,item2,#Category2,item3,item4
	type=textarea|class=fmtextarea|label=Message|fieldname=fm_message|max=1000|rows=6|req=false
	type=fullblock|class=fmfullblock|text=Spam protected by <a href="http://akismet.com/">Akismet</a>.
	type=verify|class=fmverify|label=Verify
';

// function call formmail($form_struct_mailform);
$form_struct_mailform = '
	sent_message=Your message has been sent.
	type=hidden|class=fmtext|label=Invoice no.|fieldname=fm_invoice|max=100|default=counter
	type=fullblock|class=fmfullblock|text='.$tx['mailform']['message'].'
  type=text|class=fmtext|label=E-mail|fieldname=fm_email|max=100|req=true|ver=email
  type=text|class=fmtext|label=Name|fieldname=fm_name|max=100|req=true
  type=file|class=fmfile|label=Upload|fieldname=fm_upload|allowed=jpg,jpeg,gif,png,php,txt,doc,docx,zip
  type=textarea|class=fmtextarea|label=Message|fieldname=fm_message|max=1000|rows=6|req=true
  type=fullblock|class=fmfullblock|text=Spam protected by <a href="http://akismet.com/">Akismet</a>.
  type=verify|class=fmverify|label=Verify
';
//paymant Newslettter
$form_struct_newsletter_pay = '
	sent_message=Newsletter purchase request has been sent.
	type=hidden|class=fmtext|label=Invoice no.|fieldname=fm_invoice|max=100|default=counter
	type=fullblock|class=fmfullblock|text=To purchase the Newsletter plugin please fill and send the form.
  type=text|class=fmtext|label=Mail|fieldname=fm_email|max=100|req=true|ver=email
  type=text|class=fmtext|label=Website|fieldname=fm_name|max=100|req=true
  type=textarea|class=fmtextarea|label=Message|fieldname=fm_message|max=1000|rows=6|req=false
  type=verify|class=fmverify|label=Verify
';

//type=verify|class=fmverify|label=Verify  // for basic verification


// MANUAL FORM CODE
// Advanced users only! please read documentation first
// Optionaly you can call function formmail with an userdefined manual_form_code as a second parameter. 
// This way you can have a user defined templatate for each form_struc. This option has never been tested.
// function call formmail($form_struct_mailform, $manual_form_code_xx);
$manual_form_code_xx = ''; // define your own layout.

function user_function($form_struct) {
	//needed global definition of form_struct in use in user_function
	global $form_struct_test;
	
	$msg="";
	if ($form_struct==$form_struct_test) { //  
		$email=isset($_POST['fm_email']) ? $_POST['fm_email'] : $_GET['fm_email'];
		$msg="User_function in use - your e-mail is: ".$email;
	}
	return $msg;
}
?>