<?php
/*
** Dagon Design Form Mailer 
** Version 5.6
** http://www.dagondesign.com/articles/secure-php-form-mailer-script/
** A basic explanation of each option can be found below. For full documentation,
** including advanced usage, updates, and more, please visit the web site.
--------------------------------------------------------------------------------------
customization for CMSimple by simpleSolutions, november 2008 

version 1.1
    * added more compatibility
    * added new fields in all language files (in English).
    * formmail replaces build in mailform.
version 1.2
    * added field type hidden,
    * added property readonly on text fields,
    * property default on text and hidden fields can be set to counter (default=counter) and then generates a unique identification number to be passed with the mailform. 
version 1.3 (january 2009)
		*added anchor to the form (after submit the page is postioned at the form and error messages).
		*added javascript option on type text and radio
		*Added delimiter option on types: checkbox, radio and select. Replaces Dagon Designs default "," (comma)
Version 1.4		
		* Added integration to plugin Variable Content (vcontent) plugin - usage value=#my_vcontent_variable#. You need to install vcontent plugin.		
Version 1.5
	1. Defined new type=hidden - uses same options as type text
	2. Added new option to type=text: readonly=true 
	3. Added new option to type=text: javascript f. ex. javascript=onchange="this.form[\'f1\'].value=this.form[\'f2\'].value * 2;";
	4. Added new option to type=radio: javascript f. ex. type=radio|class=fmradio|fieldname=fm_form1|label=Choose one|req=true|data=xxx,yyy,zzz,qqq|javascript=onclick="if(this.form[\'fm_form1\'].xxx.checked) alert(\'you choosed xxx\');"
	5. Added new default option to type text: default=counter, generates a unique number from time stamp.
	6. Added an anchor "formmail" before form tag ant the link to anchor in variable $path_contact_page
	7. Added delimiter option on types: checkbox, radio and select. This option replaces "," (comma) as the delimiter with user   definded delimiter. It can be ";" or "$," or anything else. Remember to use the same delimiter f. ex.: data=XX   50,00.;YY  $ 50.00;ZZ|delimiter=;

version 1.6 November 2009
	1. Added option javascript on type=checkbox - javascript=> javascript=onclick=if (this.form[\'fm_checkbox\'].checked) {....;}
	2. Added place holder <nl> for new line in $form_struct_xxx autoreply strings (auto_reply_message and auto_reply_message_end)
	3. Added user definded function user_function(). after mail is sent it is possible to execute user defined code and call functions in other plugins: 
		if $form_struct==$form_struct_test) {
			$email=isset($_POST['fm_email']) ? $_POST['fm_email'] : $_GET['fm_email'];
			if ($email=="xxx") do something;
		}
	4. Added automatic switch to basic protection on Akismet error. After Akismet error user must resend form to activate basic or recaptcha protection. That means that a spam robot must resend a form twice to send spam. You can activate this option in config/fm_config.php, akismet section. You can give some user instruction in defines of AKISMET_ERRMSG and AKISMET_NOT_AVAILABLE_ERR in your language file of formmail. Changing to basic spam protection requires that you keep the line type=verify|class=fmverify|label=Verify in your $form_struct_xxx definition rewrited basic verification - added backgroundgreed for better protection.
version 1.7 November 2009
Rewrited to XH requirements

version 1.8	
added variable $fm_charset to define the character set in mails and forms default is utf-8
    
*/

if (count($_POST) > 0) {
  $lastpost = isset($_COOKIE['lastpost']) ? $_COOKIE['lastpost'] : '';
  if ($lastpost != md5(serialize($_POST))) {
    setcookie('lastpost', md5(serialize($_POST)));
    $_POST['_REPEATED'] = 0;
  } else {
    $_POST['_REPEATED'] = 1;
  }
}

if ((!function_exists('sv')) || eregi($pth['folder']['plugins'].$plugin.'/index.php', sv('PHP_SELF')))die('Access denied');

global $hjs;
$hjs.='<script type="text/javascript" src="./plugins/formmail/js/date_chooser.js"></script>';

include('config/forms.php'); 

//if $form_struct_mailform in config/forms.php contains data replace CMSimple build in mailform
if ($f=='mailform' && !empty($form_struct_mailform) && !empty($cf['mailform']['email'])) {
  $o .= '<h1>'.$tx['title'][$f].'</h1>';
  $f='';  
  $o.=formmail($form_struct_mailform);
}

function formmail($fstr, $mfc) {
  global $form_input, $cf, $tx, $hjs, $form_submitted, $recipients, $show_required, $verify_method, $script_path,$form_struct;

  if ($fstr==null || $fstr=='')
    $form_struct='type=fullblock|class=fmfullblock|text=No data block is selected.';
  else 
    $form_struct=$fstr;
   
  if ($mfc==null)  
    $manual_form_code='';
  else
    $manual_form_code=$mfc;
  
  @include_once('dd-formmailer.php');

  return $o;
}
?>